/*
MySQL Data Transfer
Source Host: filingsa.net
Source Database: billing
Target Host: filingsa.net
Target Database: billing
Date: 30.03.2011 10:19:45
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for clients
-- ----------------------------
DROP TABLE IF EXISTS `clients`;
CREATE TABLE `clients` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `full_name` varchar(50) NOT NULL,
  `balance` int(11) NOT NULL,
  `adress` varchar(70) default NULL,
  `email` varchar(50) default NULL,
  `mobile_phone` varchar(50) default NULL,
  `home_phone` varchar(50) default NULL,
  `comment` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for idate
-- ----------------------------
DROP TABLE IF EXISTS `idate`;
CREATE TABLE `idate` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) character set latin1 NOT NULL,
  `day` smallint(3) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for internet
-- ----------------------------
DROP TABLE IF EXISTS `internet`;
CREATE TABLE `internet` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `username` varchar(50) character set latin1 NOT NULL,
  `packet_id` int(11) NOT NULL,
  `time_id` int(11) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  `ip_adress` int(11) NOT NULL,
  `mac` varchar(32) character set latin1 NOT NULL,
  `connected` smallint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for nat
-- ----------------------------
DROP TABLE IF EXISTS `nat`;
CREATE TABLE `nat` (
  `id` int(11) NOT NULL auto_increment,
  `ip_out` varchar(30) NOT NULL,
  `ip_nat` varchar(200) NOT NULL,
  `ip_route` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for packets
-- ----------------------------
DROP TABLE IF EXISTS `packets`;
CREATE TABLE `packets` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(35) character set latin1 NOT NULL,
  `speed_down` int(15) NOT NULL,
  `speed_up` int(15) NOT NULL,
  `price` int(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `full_name` varchar(50) NOT NULL,
  `email` varchar(50) default NULL,
  `mobile_phone` varchar(50) default NULL,
  `work_phone` varchar(50) default NULL,
  `home_phone` varchar(50) default NULL,
  `icq` varchar(20) default NULL,
  `skype` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for vlans
-- ----------------------------
DROP TABLE IF EXISTS `vlans`;
CREATE TABLE `vlans` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) character set latin1 NOT NULL,
  `start_ip` int(11) NOT NULL,
  `end_ip` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `users` VALUES ('1', 'admin', 'c8837b23ff8aaa8a2dde915473ce0991', 'test user', null, null, null, null, null, null);
