function ServiceProfile(client_id,client_name){
	
	var some = Math.random();

    var PacketsStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_packets'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});
	var iDateStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_idate'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});
	var VlanStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_vlan'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});

	var ServiceProfile = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name},
			    {xtype:'label', text: 'Выберите Пакет:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: PacketsStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите пакет',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'packet_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'packet_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    }),
			    {xtype:'label', text: 'Выберите расчётный период:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: iDateStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите расчётный период',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'time_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'time_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    }),
			    {xtype:'label', text: 'Выберите Vlan:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: VlanStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите Vlan',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'vlan_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'vlan_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    })
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                ServiceProfile.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=save&client_id='+client_id+'&client_name='+client_name,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Добавление услуги Интернет',
		width: 400,
		height: 300,
		minWidth: 300,
		minHeight: 200,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceProfile
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"client_id": client_id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
	
	
}

function ServicePacket(id,client_name){
	
	var some = Math.random();

    var PacketsStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_packets'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});

	var ServicePacket = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name},
			    {xtype:'label', text: 'Выберите Пакет:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: PacketsStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите пакет',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'packet_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'packet_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    })
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                ServicePacket.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=update_packet&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Изменение пакета',
		width: 400,
		height: 210,
		minWidth: 300,
		minHeight: 150,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServicePacket
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
}

function ServiceiDate(id,client_name){
	
	var some = Math.random();

    var iDateStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_idate'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});

	var ServiceiDate = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name},
			    {xtype:'label', text: 'Выберите расчётный период:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: iDateStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите расчётный период',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'time_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'time_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    })
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                ServiceiDate.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=update_idate&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Изменение расчётного периода',
		width: 400,
		height: 210,
		minWidth: 300,
		minHeight: 150,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceiDate
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
}

function ServiceVlan(id,client_name){
	
	var some = Math.random();

	var VlanStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_vlan'}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});

	var ServiceVlan = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name},
				{xtype:'label', text: 'Выберите Vlan:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: VlanStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите Vlan',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'vlan_id',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'vlan_id',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    })
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                ServiceVlan.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=update_vlan&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Изменение Vlan-a',
		width: 400,
		height: 210,
		minWidth: 300,
		minHeight: 150,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceVlan
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
}

function ServiceIP(id,client_name){
	
	var some = Math.random();

	var IPStore = new Ext.data.Store({
		remoteSort: true,
		proxy: new Ext.data.HttpProxy({url: 'wrapper.php?mod=data&act=get_ip&id='+id}),
	    reader: new Ext.data.JsonReader({root: 'data',totalProperty: 'totalCount',id: 'id'}, 
	    [{name: 'text', mapping: 'text'},{name: 'value', mapping: 'value'}])
	});

	var ServiceIP = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name},
				{xtype:'label', text: 'Выберите IP-адрес:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    new Ext.form.ComboBox({
			        store: IPStore,
			        typeAhead: false,
			        loadingText: 'Получение данных...',
			        emptyText:'Выберите IP-адрес',
			        triggerAction: 'all',
					valueField: 'value',
					displayField: 'text',
					hiddenName : 'ip_adress',
					mode: 'remote',
					minChars : 0,
					selectOnFocus:true,
					allowBlank: true,
					disabled: false,
					hideLabel: true,
					name: 'ip_adress',
					anchor:'100%',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
			    })
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                ServiceIP.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=update_ip&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Изменение IP-адреса',
		width: 400,
		height: 210,
		minWidth: 300,
		minHeight: 150,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceIP
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
}

function ServiceMAC(id,client_name){
	
	var some = Math.random();

	var ServiceMAC = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor: '100%', emptyText: 'ID'},
			    {xtype: 'label', text: 'Логин:', cls: 'x-form-check-group-label', hideLabel: true, anchor: '100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls: 'x-form-check-group-label', hideLabel: true, anchor: '100%', emptyText: client_name}
			]
			
        }],
        buttons:[{
			text: 'Сбросить',
			handler: function(){
				ServiceMAC.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=update_mac&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    
	var window = new Ext.Window({
		title: 'Привязать МАС',
		width: 400,
		height: 160,
		minWidth: 300,
		minHeight: 150,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceMAC
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=inet&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
}

function  getServices(){

		var fields = [
						{name: 'id'},
						{name: 'username'},
						{name: 'pname'},
						{name: 'pay_day'},
						{name: 'vname'},
						{name: 'ip_adress'},
						{name: 'mac'},
						{name: 'status'}
					];
					
		var mapping = [
						{name: 'id', mapping: 'id'},
						{name: 'username', mapping: 'username'},
						{name: 'pname', mapping: 'pname'},
						{name: 'pay_day', mapping: 'pay_day'},
						{name: 'vname', mapping: 'vname'},
						{name: 'ip_adress', mapping: 'ip_adress'},
						{name: 'mac', mapping: 'mac'},
						{name: 'status', mapping: 'status'}
					];	
					
					
		var columns = 	[
							{
								header: '#',
								dataIndex: 'id',
								hidden: true,
								sortable: true
							},{
								header: 'Логин',
								dataIndex: 'username',
								sortable: true
							},{
								header: 'Пакет',
								dataIndex: 'pname',
								sortable: true
							},{
								header: 'Расчётный период',
								dataIndex: 'pay_day',
								sortable: true
							},{
								header: 'Vlan',
								dataIndex: 'vname',
								sortable: true
							},{
								header: 'IP-адрес',
								dataIndex: 'ip_adress',
								sortable: true
							},{
								header: 'MAC-адрес',
								dataIndex: 'mac',
								sortable: true
							},{
								header: 'Статус услуги',
								dataIndex: 'status',
								sortable: false
							}
						];					
	
	var store = new Ext.data.GroupingStore({
			remoteSort: true,
			sortInfo:{field: 'id', direction: "DESC"},
			proxy: new Ext.data.HttpProxy({
				url: "wrapper.php?mod=inet&act=get"
			}),
			reader: new Ext.data.JsonReader({
				root: 'data',
				id: 'id',
				totalProperty: 'totalCount',
				fields: fields
			},
				mapping
			)
		});
	
	var grid = new Ext.grid.GridPanel({
		id: 'grid-internet-',
		region: 'center',
		closable: true,
		store: store,
		groupField:'id',
		columns:columns,
		view: new Ext.grid.GroupingView({
			forceFit:true,
			groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Items" : "Item"]})'
	    }),
		sm: new Ext.grid.RowSelectionModel({singleSelect: true}),
		iconCls: "icon-world-link",
		title: 'Услуги Интернет',
		loadMask: {
			msg: "Получение данных..."
		},
		tbar: [{
				text: 'Пакет',
				tooltip: 'Изменение пакета',
				iconCls: "icon-note-edit",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						ServicePacket(row.data.id,row.data.username);
					}
				}
			},{
				text: 'Расчётный период',
				tooltip: 'Изменение расчётного периода',
				iconCls: "icon-time",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						ServiceiDate(row.data.id,row.data.username);
					}
				}
			},{
				text: 'Vlan',
				tooltip: 'Изменение Vlan-a',
				iconCls: "icon-gears",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						ServiceVlan(row.data.id,row.data.username);
					}
				}
			},{
				text: 'IP-адрес',
				tooltip: 'Изменение IP-адреса',
				iconCls: "icon-world-connect",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						ServiceIP(row.data.id,row.data.username);
					}
				}
			},{
				text: 'Сбросить МАС',
				tooltip: 'Сбросить привязку по МАС-адресу',
				iconCls: "icon-block",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						ServiceMAC(row.data.id,row.data.username);
					}
				}
			}],

		bbar: new Ext.PagingToolbar({
			pageSize: 50,
			store: store,
			displayInfo: true,
			displayMsg: 'Отображаемые записи {0} - {1} of {2}',
			emptyMsg: "Нет записей"
		}),
		onContextClick: function(grid, index, e){
		var row=grid.getSelectionModel().getSelected();
		
		this.menu = new Ext.menu.Menu({
		id: 'grid-ctx',
		items: [{
					text: 'Сбросить МАС',
					tooltip: 'Сбросить привязку по МАС-адресу',
					iconCls: "icon-block",
					handler: function(){
						var row=grid.getSelectionModel().getSelected();
						if(row){
							ServiceMAC(row.data.id,row.data.username);
						}
					}
				},{
					text: 'Отключить',
					tooltip: 'Отключить услугу',
					iconCls: "icon-world-delete",
					handler: function(){
						var row=grid.getSelectionModel().getSelected();
						if(row){
							ServiceDisable(row.data.id,row.data.username);
						}
					}
				},{
					text: 'Включить',
					tooltip: 'Включить услугу',
					iconCls: "icon-world-connect",
					handler: function(){
						var row=grid.getSelectionModel().getSelected();
						if(row){
							ServiceConnect(row.data.id,row.data.username);
						}
					}
				}]
				});
				
				e.stopEvent();
				this.menu.showAt(e.getXY());
			},
		view: new Ext.grid.GroupingView({
            forceFit:true,
            showGroupName: false,
            enableNoGroups:false, // REQUIRED!
            hideGroupedColumn: true
        })
	});
		grid.on('rowcontextmenu', grid.onContextClick, grid);
			function submitSearch() {
	        var params=store.lastOptions.params;
	        params['no_validation']='';
	        params['start']=0;
	        var fFields=searchForm.getForm().getValues();
	        for(var f in fFields){     
	        	params[f]=fFields[f];
	        }
			store.reload({params: params});			
		}	    
	
		var panelCol1 = new Ext.Panel({  
			layout:'form',
			width: 170, 
			items: [{
					xtype:'textfield',
					hideLabel: true,	
					name: 'username',
					anchor:'100%',
					emptyText:'Логин',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
				},{
					xtype:'textfield',
					hideLabel: true,	
					name: 'ip_adress',
					anchor:'100%',
					emptyText:'IP-адрес',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
				},{
					xtype:'textfield',
					hideLabel: true,	
					name: 'mac',
					anchor:'100%',
					emptyText:'МАС-адрес',
					fireKey: function(e){if (e.getKey() == e.ENTER) { submitSearch(); } }
				}
			]
		}); 
		
	    var searchForm = new Ext.FormPanel({
			titlebar: false, 
	        title: 'Поиск',
	        collapsible:true,
	        collapsed:true,
	        autoHeight: true,
	        split:true,
			width: 180,
			defaults:{autoHeight:true}, 
	    	frame:true,
	        region: 'east',
	        layout:'column',
			items:[panelCol1],
	        buttons:[{
	        	text: 'Искать',
	        	handler: function(){
					submitSearch();
	        	}
	        },{
	        	text: 'Сбросить',
	        	handler: function(){
	        		searchForm.getForm().reset();
	        		store.reload({params: {start: 0, limit: 50}});
	        	}
	        }]
	    });
	
	    var panel= {
	    	id: 'panel-internet-',
			title: 'Услуги Интернет',
			iconCls: 'icon-world-link',
			closable: true,
			layout:'border',
			items:[searchForm,grid]
		};
		
	var tp = Ext.getCmp('main-tabs');
	tp.add(panel).show();
	tp.doLayout();
	
	store.load({
		params: {
			start: 0,
			limit: 50
		}
	});
}

function ServiceDisable(id,client_name){
	var some = Math.random();
	var ServiceDisable = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype: 'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name}
				]
        }],
        buttons:[{
			text: 'Отключить услугу',
			handler: function(){
				ServiceDisable.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=disable&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    	
	var window = new Ext.Window({
		title: 'Отключение услуги',
		width: 400,
		height: 160,
		minWidth: 300,
		minHeight: 100,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceDisable
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=clients&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
			

			
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
	
	
}

function ServiceConnect(id,client_name){
	var some = Math.random();
	var ServiceConnect = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype: 'label', text: 'Логин:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: true, name: 'client_name', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText: client_name}
				]
        }],
        buttons:[{
			text: 'Включить услугу',
			handler: function(){
				ServiceConnect.getForm().submit({
                    url: 'wrapper.php?mod=inet&act=connect&id='+id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    	
	var window = new Ext.Window({
		title: 'Включение услуги',
		width: 400,
		height: 160,
		minWidth: 300,
		minHeight: 100,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: ServiceConnect
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=clients&act=get",
		method: 'POST',
		params: {
			"id": id,
			"client_name": client_name
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
			

			
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
	
	
}