function NATProfile(nat_id,store){
	
	var some = Math.random();
	var NATProfile = new Ext.FormPanel({
		frame: true,
		region: 'center',
        bodyStyle: 'padding:4px 4px 0',
        items: [{
			xtype: 'fieldset',
            collapsible: false,
            autoHeight: true,
            collapsed: false,
            bodyStyle: 'margin:4px;',
            items: [
			    {xtype: 'hidden', disabled: true, name: 'id', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'ID'},
			    {xtype:'label', text: 'Внешний IP-адрес:', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: false, name: 'ip_out', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'xxx.xxx.xxx.xxx'},
			    {xtype:'label', text: 'IP шлюза провайдера', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: false, name: 'ip_route', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'xxx.xxx.xxx.xxx'},
			    {xtype:'label', text: 'Подсеть которую заворачивать в NAT', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%'},
			    {xtype: 'textfield', disabled: false, name: 'ip_nat', cls:'x-form-check-group-label', hideLabel: true, anchor:'100%',emptyText:'xxx.xxx.xxx.xxx/xx'}
			]
			
        }],
        buttons:[{
			text: 'Сохранить',
			handler: function(){
                NATProfile.getForm().submit({
                    url: 'wrapper.php?mod=nat&act=save&nat_id='+nat_id,
                    waitMsg: 'Выполнение запроса...',
                    success: function(p, o){
						if (o.result.success) {
							window.close();
							store.reload();
						} else {
							Ext.Msg.alert("Ошибка!",o.result.errors);
						}
                    },
					failure: function(form, o) {
						Ext.Msg.alert("Ошибка!",o.result.errors);
					}
                });
		      }
        	},{
        	text:'Закрыть',
        	handler: function(){
        		window.close();
        	}
        }
      ]
    });
    	
	var window = new Ext.Window({
		title: 'Профиль NAT',
		width: 400,
		height: 260,
		minWidth: 300,
		minHeight: 200,
		layout: 'fit',
		plain: true,
		bodyStyle: 'padding:4px;',
		buttonAlign: 'center',
		items: NATProfile
	});
	
	var conn = new Ext.data.Connection();
	conn.request({
		url: "wrapper.php?mod=nat&act=get",
		method: 'POST',
		params: {
			"nat_id": nat_id
		},
		success: function(req){
			var data = Ext.decode(req.responseText);
			window.show();
		},
		failure: function(){
			Ext.Msg.alert('Status', 'Ошибка');
		}
	});		
	
}

function getNAT(){

		var fields = [
						{name: 'id'},
						{name: 'ip_out'},
						{name: 'ip_route'},
						{name: 'ip_nat'}
					];
					
		var mapping = [
						{name: 'id', mapping: 'id'},
						{name: 'ip_out', mapping: 'ip_out'},
						{name: 'ip_route', mapping: 'ip_route'},
						{name: 'ip_nat', mapping: 'ip_nat'}
					];	
					
					
		var columns = 	[
							{
								header: '#',
								dataIndex: 'id',
								hidden: true,
								sortable: true
							},{
								header: 'IP-адрес внешний',
								dataIndex: 'ip_out',
								sortable: true
							},{
								header: 'IP-адрес шлюза',
								dataIndex: 'ip_route',
								sortable: true
							},{
								header: 'Подсети которые натятся',
								dataIndex: 'ip_nat',
								sortable: true
							}
						];					
	
	var store = new Ext.data.GroupingStore({
			remoteSort: true,
			sortInfo:{field: 'id', direction: "DESC"},
			proxy: new Ext.data.HttpProxy({
				url: "wrapper.php?mod=nat&act=get"
			}),
			reader: new Ext.data.JsonReader({
				root: 'data',
				id: 'id',
				totalProperty: 'totalCount',
				fields: fields
			},
				mapping
			)
		});
	
	var grid = new Ext.grid.GridPanel({
		id: 'grid-nat-',
		region: 'center',
		closable: true,
		store: store,
		groupField:'id',
		columns:columns,
		view: new Ext.grid.GroupingView({
			forceFit:true,
			groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Items" : "Item"]})'
	    }),
		sm: new Ext.grid.RowSelectionModel({singleSelect: true}),
		iconCls: "icon-gears",
		title: 'NAT',
		loadMask: {
			msg: "Загрузка данных..."
		},
		tbar: [{
				text: 'Создать',
				tooltip: 'Создать новое правило NAT',
				iconCls: "icon-new",
				handler: function(){
					NATProfile(0,store);
				}
			},{
				text: 'Изменить',
				tooltip: 'Изменение правило NAT',
				iconCls: "i-refresh",
				handler: function(){
					var row=grid.getSelectionModel().getSelected();
					if(row){
						NATProfile(row.data.id,store);
					}
				}
			}],

		bbar: new Ext.PagingToolbar({
			pageSize: 50,
			store: store,
			displayInfo: true,
			displayMsg: 'Отображаемые записи {0} - {1} of {2}',
			emptyMsg: "Нет записей"
		}),
		view: new Ext.grid.GroupingView({
            forceFit:true,
            showGroupName: false,
            enableNoGroups:false, // REQUIRED!
            hideGroupedColumn: true
        })
	});

	var tp = Ext.getCmp('main-tabs');
	tp.add(grid).show();
	tp.doLayout();
	
	store.load({
		params: {
			start: 0,
			limit: 50
		}
	});
}